#ifndef POLPROBLEM_H
#define POLPROBLEM_H

#include "problem.h"
# include "dataset.h"
class PolProblem : public Problem
{
private:
    /**
     * @brief ak einai ta stoixeia tou polyonymou
     */
    Data ak;
    /**
     * @brief paramk einai o vathmos tou polyonymou
     */
    int  paramk;
    /**
     * @brief data ta dedomena gia ta opoia theloume na kanoume fit
     */
    Dataset *data;
public:
    PolProblem(int k,Dataset *d);
    double funmin(Data &x);
    Data gradient(Data &x);
    double  pol(double x);
    ~PolProblem();
};

#endif // POLPROBLEM_H
